Bug 81639 - Fix the error type in JSAudioBufferSourceNodeCustom to pass layout test.
Summary: Fix the error type in JSAudioBufferSourceNodeCustom to pass layout test.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Audio (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-20 02:06 PDT by Sanghyun Park
Modified: 2012-03-29 08:55 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.87 KB, patch)
2012-03-25 23:21 PDT, Sanghyun Park
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sanghyun Park 2012-03-20 02:06:32 PDT
The layout tests for the WebAudio APIs have all passed using Chromium, 
but encountered 1 crash error in Gtk port.

Crash List
- LayoutTest/webaudio/audiobuffersource-channels.html

The reason for causing crash is that it returns a wrong type (e.g., 
SyntaxError should have been TypeError).
Comment 1 Sanghyun Park 2012-03-25 23:21:52 PDT
Created attachment 133731 [details]
Patch

Initial patch!
Comment 2 Chris Rogers 2012-03-28 10:33:31 PDT
This seems good, but adding Eric Carlson since he likely knows more about details of JSC bindings.
Comment 3 Eric Carlson 2012-03-28 17:50:12 PDT
(In reply to comment #0)
> The layout tests for the WebAudio APIs have all passed using Chromium, 
> but encountered 1 crash error in Gtk port.
> 
> Crash List
> - LayoutTest/webaudio/audiobuffersource-channels.html
> 
> The reason for causing crash is that it returns a wrong type (e.g., 
> SyntaxError should have been TypeError).

Do you mean that the test actually crashed, or that it simply failed?
Comment 4 Sanghyun Park 2012-03-28 18:10:24 PDT
(In reply to comment #3)
> (In reply to comment #0)
> > The layout tests for the WebAudio APIs have all passed using Chromium, 
> > but encountered 1 crash error in Gtk port.
> > 
> > Crash List
> > - LayoutTest/webaudio/audiobuffersource-channels.html
> > 
> > The reason for causing crash is that it returns a wrong type (e.g., 
> > SyntaxError should have been TypeError).
> 
> Do you mean that the test actually crashed, or that it simply failed?

Sorry for the confusion - the test was simply failed due to the error type mismatch.
Comment 5 Eric Carlson 2012-03-29 08:47:31 PDT
(In reply to comment #4)
> 
> Sorry for the confusion - the test was simply failed due to the error type mismatch.

No problem! I just wanted to make sure I understood the issue.
Comment 6 WebKit Review Bot 2012-03-29 08:55:02 PDT
Comment on attachment 133731 [details]
Patch

Clearing flags on attachment: 133731

Committed r112535: <http://trac.webkit.org/changeset/112535>
Comment 7 WebKit Review Bot 2012-03-29 08:55:08 PDT
All reviewed patches have been landed.  Closing bug.